<?php
/**
 * DOCman 1.4 Migrator plugin
 * @version $Id:docman.php 572 2008-01-22 16:47:24Z mjaz $
 * @package DOCman_1.4_migrator
 * @copyright (C) 2003-2009 Joomlatools
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.joomlatools.eu/ Official website
 **/

/**
 * Docman ETL plugin
 */
class Docman_ETL extends ETLPlugin
{
    /**
     * Returns the name of the plugin
     */
    function getName()

    {
        return "DOCman Documents ETL Plugin";
    }

    /**
     * Returns the table that this plugin transforms
     */
    function getAssociatedTable()

    {
        return 'docman';
    }

    /**
     * Generates any SQL statements that need to be completed before the rows are generated
     */
    function getSQLPrologue()
    {
        $ret = <<<EOT
        
CREATE TABLE IF NOT EXISTS `jos_docman` (
    `id` int(11) NOT NULL auto_increment,
    `catid` int(11) NOT NULL default 1,
    `dmname` text NOT NULL, `dmdescription` longtext,
    `dmdate_published` datetime NOT NULL default '0000-00-00 00:00:00',
    `dmowner` int(4) NOT NULL default -1,
    `dmfilename` text NOT NULL,
    `published` tinyint(1) NOT NULL default 0,
    `dmurl` text NULL,
    `dmcounter` int(11) NULL default 0,
    `checked_out` int(11) NOT NULL default 0,
    `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
    `approved` tinyint(1) NOT NULL default 0,
    `dmthumbnail` text NULL,
    `dmlastupdateon` datetime default '0000-00-00 00:00:00',
    `dmlastupdateby` int(5) NOT NULL default -1,
    `dmsubmitedby` int(5) NOT NULL default -1,
    `dmmantainedby` int(5) default 0,
    `dmlicense_id` int(5) default 0,
    `dmlicense_display` tinyint(1) NOT NULL default 0,
    `access` int(11) unsigned NOT NULL default 0,
    `attribs` text NOT NULL,
    PRIMARY KEY (`id`),
    KEY `pub_appr_own_cat_name` (`published`,`approved`,`dmowner`,`catid`,`dmname`(64)),
    KEY `appr_pub_own_cat_date` (`approved`,`published`,`dmowner`,`catid`,`dmdate_published`),
    KEY `own_pub_appr_cat_count`(`dmowner`,`published`,`approved`,`catid`,`dmcounter`),
    KEY `own_pub_appr_cat_id`   (`dmowner`, `published`, `approved`, `catid`, `id`)
    )
    TYPE=MyISAM;
    
EOT;
        return $ret;
    }

}